For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesAPI ReferenceSDKs
GuidesAPI ReferenceSDKs
  • API
      • POSTPost Account Feedback
      • POSTTokenize an Account
      • POSTVerify an Account
Dashboard
Products
PaymentsDataPayouts
Company
AboutCareersContact Sales

Terms of Use | Privacy Policy | © 2026 Trustly, Inc.

Developer-friendly docs for your API
GitHub|Contact Support|Business Help Center|Merchant Portal
Terms of Use|Privacy Policy|© 2026 Trustly, Inc.
Developer-friendly docs for your API
LogoLogo
North AmericaEurope
North AmericaEurope
APIAccounts

Post Account Feedback

|View as Markdown|Open in Claude|
POST
https://sandbox.trustly.one/api/v1/feedback
POST
/api/v1/feedback
$curl -X POST https://sandbox.trustly.one/api/v1/feedback \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "merchantId": 110005514,
> "account": {
> "accountNumber": "1000001800",
> "routingNumber": "124003116"
> },
> "feedback": {
> "status": 5,
> "subStatus": "R04",
> "externalId": "01912c39-fb07-7fde-b5cf-80479532075e",
> "description": "Invalid Account Number",
> "submissionDate": 1723023197206,
> "returnDate": 1723023197206,
> "amount": "0.0",
> "currency": "USD"
> }
>}'
1{
2 "message": "Feedback received successfully."
3}
Utilize this endpoint to record feedback regarding the result of an ACH payment using the account information verified by Trustly during a Verification Transaction. This feedback data helps optimize account verification scores over time. It is **required** when using Trustly Connect. > **Note for Trustly Pay** > For apps using Trustly Pay, feedback should be provided on individual transactions rather than on the account. See [`/transactions/{id}/feedback`](ref:post-transaction-feedback) for transaction-specific feedback details.
Was this page helpful?
Previous

List all accounts

Next

Tokenize an Account

Built with

Utilize this endpoint to record feedback regarding the result of an ACH payment using the account information verified by Trustly during a Verification Transaction. This feedback data helps optimize account verification scores over time. It is required when using Trustly Connect.

Note for Trustly Pay For apps using Trustly Pay, feedback should be provided on individual transactions rather than on the account. See /transactions/{id}/feedback for transaction-specific feedback details.

Authentication

AuthorizationBasic

Request

merchantIddoubleRequired
A unique Trustly merchant identifier.
accountobjectRequired

The token is required only when account number and routing number are not sent and vice-versa.

feedbackobjectRequired
The resulting feedback of an ACH transaction

Response

OK
messagestring
Successful message.

Errors

400
Bad Request Error
500
Internal Server Error